> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start review



## OpenAPI

````yaml /openapi.json post /api/v1/reviews
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: automations
  - name: projects
  - name: threads
  - name: captains
  - name: folders
  - name: subagents
  - name: tasks
  - name: messages
  - name: streams
  - name: reviews
  - name: reviewRules
  - name: reviewFilters
  - name: usage
  - name: users
paths:
  /api/v1/reviews:
    post:
      tags:
        - reviews
      summary: Start review
      operationId: reviews.start
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartReviewRequest'
        required: true
      responses:
        '200':
          description: ReviewStarted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewStartedEncoded'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_UnauthorizedEncoded'
        '402':
          description: capy/PaidFeatureUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_PaidFeatureUnavailableEncoded'
        '403':
          description: capy/Forbidden
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/capy_ForbiddenEncoded'
                  - $ref: '#/components/schemas/capy_ForbiddenEncoded'
        '422':
          description: capy/ReviewRefused
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ReviewRefusedEncoded'
        '429':
          description: capy/RateLimited
          headers:
            retry-after:
              schema:
                type: integer
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_RateLimitedEncoded'
      security:
        - bearerAuth: []
components:
  schemas:
    StartReviewRequest:
      type: object
      properties:
        repo:
          type: string
        prNumber:
          type: integer
        idempotencyKey:
          type: string
          allOf:
            - minLength: 1
            - maxLength: 191
        forceRefresh:
          type: boolean
        sourceThreadId:
          type: string
        model:
          type: string
        effort:
          type: string
          enum:
            - none
            - instant
            - minimal
            - low
            - medium
            - high
            - xhigh
            - max
        tier:
          type: string
          enum:
            - low
            - medium
            - high
          description: >-
            Review tier for this round, including its model, effort, and charge
            multiplier. Outranks the explicit model and both stored first-review
            and follow-up defaults. Omitted uses the default for the round's
            scope.
        shadow:
          type: boolean
        headSha:
          type: string
          allOf:
            - minLength: 40
            - maxLength: 40
        projectId:
          type: string
        memorySelection:
          type: string
          enum:
            - index
            - paths
            - select
      required:
        - repo
        - prNumber
      additionalProperties: false
    ReviewStartedEncoded:
      type: object
      properties:
        reviewId:
          type: string
        requestId:
          type: string
        threadId:
          type: string
        headSha:
          type: string
        adopted:
          type: boolean
        sourceRecorded:
          type: boolean
      required:
        - reviewId
        - requestId
        - threadId
        - headSha
        - adopted
      additionalProperties: false
    capy_UnauthorizedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_PaidFeatureUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/PaidFeatureUnavailable
        feature:
          type: string
          enum:
            - small
            - medium
            - large
            - ultra
            - hyper
            - bigguy
            - byok
            - captain_image
      required:
        - _tag
        - feature
      additionalProperties: false
    capy_ForbiddenEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Forbidden
      required:
        - _tag
      additionalProperties: false
    capy_ReviewRefusedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/ReviewRefused
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    capy_RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/RateLimited
        retryAfterSeconds:
          type: integer
      required:
        - _tag
        - retryAfterSeconds
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.